> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turnkey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create users

> Create users in an existing organization.

export const EndpointPath = ({type, path}) => {
  return <div class="flex w-full flex-col bg-background-light dark:bg-background-dark border-standard rounded-2xl p-1.5">
      <div class="flex items-center space-x-1.5">
        <div class="relative flex-1 flex gap-2 min-w-0 rounded-xl items-center cursor-pointer p-1.5 border-standard">
          <div class="rounded-lg font-bold px-1.5 py-0.5 text-sm leading-5 bg-blue-400/20 dark:bg-blue-400/20 text-blue-700 dark:text-blue-400">
            POST
          </div>
          <div class="flex items-center space-x-2 overflow-x-auto flex-1 no-scrollbar">
            <div class="group flex items-center flex-1 gap-0.5 font-mono">
              <div class="absolute right-0 p-2 bg-background-light dark:bg-background-dark rounded-lg hidden group-hover:block">
                <svg class="w-4 h-4 bg-gray-400 dark:bg-white/30"></svg>
              </div>
              <div class="text-sm text-gray-400">/</div>
              <div class="text-sm font-medium text-gray-800 dark:text-white min-w-max">
                public
              </div>
              <div class="text-sm text-gray-400">/</div>
              <div class="text-sm font-medium text-gray-800 dark:text-white min-w-max">
                v1
              </div>
              <div class="text-sm text-gray-400">/</div>
              <div class="text-sm font-medium text-gray-800 dark:text-white min-w-max">
                {type}
              </div>
              <div class="text-sm text-gray-400">/</div>
              <div class="text-sm font-medium text-gray-800 dark:text-white min-w-max">
                {path}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>;
};

export const NestedParam = ({parentKey, childKey, type, required, description, children}) => {
  const fullKey = `${parentKey}.${childKey}`;
  const anchorId = `body-${fullKey.replace(/\./g, '-')}`;
  return <div className="py-6 border-gray-100 dark:border-gray-800 border-b last:border-b-0">
  <div className="flex font-mono text-sm group/param-head param-head break-all relative" id={anchorId}>
    <div className="flex-1 flex content-start py-0.5 mr-5">
      <div className="flex items-center flex-wrap gap-2">
        <div className="absolute -top-1.5">
          <a href={`#${anchorId}`} className="-ml-[2.1rem] flex items-center opacity-0 border-0 group-hover/param-head:opacity-100 py-2 [.expandable-content_&]:-ml-[2.1rem]" aria-label="Navigate to header">
            <div className="w-6 h-6 text-gray-400 rounded-md flex items-center justify-center zinc-box bg-white ring-1 ring-gray-400/30 dark:ring-gray-700/25 hover:ring-gray-400/60 dark:hover:ring-white/20">
              <svg xmlns="http://www.w3.org/2000/svg" fill="gray" height="12px" viewBox="0 0 576 512">
                <path d="M0 256C0 167.6 71.6 96 160 96h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C98.1 144 48 194.1 48 256s50.1 112 112 112h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C71.6 416 0 344.4 0 256zm576 0c0 88.4-71.6 160-160 160H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c61.9 0 112-50.1 112-112s-50.1-112-112-112H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c88.4 0 160 71.6 160 160zM184 232H392c13.3 0 24 10.7 24 24s-10.7 24-24 24H184c-13.3 0-24-10.7-24-24s10.7-24 24-24z"></path>
              </svg>
            </div>
          </a>
        </div>
        <div className="font-semibold text-primary dark:text-primary-light cursor-pointer overflow-wrap-anywhere">
          <span className="text-gray-500 dark:text-gray-400">{parentKey}.</span>
          {childKey}
        </div>
        <div className="inline items-center gap-2 text-xs font-medium [&_div]:inline [&_div]:mr-2 [&_div]:leading-5">
          <div className="flex items-center px-2 py-0.5 rounded-md bg-gray-100/50 dark:bg-white/5 text-gray-600 dark:text-gray-200 font-medium break-all">
            <span>{type}</span>
          </div>
          {required && <span className="px-2 py-0.5 rounded-md bg-red-100/50 dark:bg-red-400/10 text-red-600 dark:text-red-300 font-medium whitespace-nowrap">
              required
            </span>}
        </div>
      </div>
    </div>
  </div>
  {children && <div className="mt-4">
      <div className="prose prose-sm prose-gray dark:prose-invert">
        {children}
      </div>
    </div>}
</div>;
};

export const H3Bordered = ({text}) => <h3 id={text.toLowerCase()} className="border-b pb-2.5 border-gray-100 dark:border-gray-800">
    {text}
  </h3>;

export const Authorizations = () => {
  return <div>
      <H3Bordered text="Authorizations" />

      <Tabs>
        <Tab title="API Key">
          <div className="flex text-sm group/param-head param-head break-all relative" id="authorization-x-stamp">
            <ParamField header="X-Stamp" type="string" required={true}>
              Cryptographically signed (stamped) request to be passed in as a header. For more info, see <a href="https://docs.turnkey.com/developer-reference/api-overview/stamps">here</a>.
            </ParamField>
          </div>
        </Tab>

        <Tab title="WebAuthn (Passkey)">
         <div className="flex text-sm group/param-head param-head break-all relative" id="authorization-x-stamp-webauthn">
            <ParamField body="X-Stamp-WebAuthn" type="string" required={true}>
              Cryptographically signed (stamped) request to be passed in as a header. For more info, see <a href="https://docs.turnkey.com/developer-reference/api-overview/stamps">here</a>.
            </ParamField>
          </div>
        </Tab>
      </Tabs>
    </div>;
};

<EndpointPath type="submit" path="create_users" />

<Authorizations />

<H3Bordered text="Body" />

<ParamField body="type" type="enum<string>" required={true}>
  Enum options: `ACTIVITY_TYPE_CREATE_USERS_V4`
</ParamField>

<ParamField body="timestampMs" type="string" required={true}>
  Timestamp (in milliseconds) of the request, used to verify liveness of user requests.
</ParamField>

<ParamField body="organizationId" type="string" required={true}>
  Unique identifier for a given Organization.
</ParamField>

<ParamField body="parameters" type="object" required={true} path="parameters">
  <p>The parameters object containing the specific intent data for this activity.</p>

  <Expandable title="details">
    <ParamField body="users" type="array" required={true} path="parameters.users">
      <p>A list of Users.</p>

      <Expandable title="item details">
        <NestedParam parentKey="parameters.users" childKey="userName" type="string" required={true} default="">
          Human-readable name for a User.
        </NestedParam>

        <NestedParam parentKey="parameters.users" childKey="userEmail" type="string" required={false} default="">
          The user's email address.
        </NestedParam>

        <NestedParam parentKey="parameters.users" childKey="userPhoneNumber" type="string" required={false} default="">
          The user's phone number in E.164 format e.g. +13214567890
        </NestedParam>

        <ParamField body="apiKeys" type="array" required={true} path="parameters.users.apiKeys">
          <p>A list of API Key parameters. This field, if not needed, should be an empty array in your request body.</p>

          <Expandable title="item details">
            <NestedParam parentKey="parameters.users.apiKeys" childKey="apiKeyName" type="string" required={true} default="">
              Human-readable name for an API Key.
            </NestedParam>

            <NestedParam parentKey="parameters.users.apiKeys" childKey="publicKey" type="string" required={true} default="">
              The public component of a cryptographic key pair used to sign messages and transactions.
            </NestedParam>

            <NestedParam parentKey="parameters.users.apiKeys" childKey="curveType" type="enum<string>" required={true} default="">
              Enum options: `API_KEY_CURVE_P256`, `API_KEY_CURVE_SECP256K1`, `API_KEY_CURVE_ED25519`
            </NestedParam>

            <NestedParam parentKey="parameters.users.apiKeys" childKey="expirationSeconds" type="string" required={false} default="">
              Optional window (in seconds) indicating how long the API Key should last.
            </NestedParam>
          </Expandable>
        </ParamField>

        <ParamField body="authenticators" type="array" required={true} path="parameters.users.authenticators">
          <p>A list of Authenticator parameters. This field, if not needed, should be an empty array in your request body.</p>

          <Expandable title="item details">
            <NestedParam parentKey="parameters.users.authenticators" childKey="authenticatorName" type="string" required={true} default="">
              Human-readable name for an Authenticator.
            </NestedParam>

            <NestedParam parentKey="parameters.users.authenticators" childKey="challenge" type="string" required={true} default="">
              Challenge presented for authentication purposes.
            </NestedParam>

            <ParamField body="attestation" type="object" required={true} path="parameters.users.authenticators.attestation">
              <p>attestation field</p>

              <Expandable title="details">
                <NestedParam parentKey="parameters.users.authenticators.attestation" childKey="credentialId" type="string" required={true} default="">
                  The cbor encoded then base64 url encoded id of the credential.
                </NestedParam>

                <NestedParam parentKey="parameters.users.authenticators.attestation" childKey="clientDataJson" type="string" required={true} default="">
                  A base64 url encoded payload containing metadata about the signing context and the challenge.
                </NestedParam>

                <NestedParam parentKey="parameters.users.authenticators.attestation" childKey="attestationObject" type="string" required={true} default="">
                  A base64 url encoded payload containing authenticator data and any attestation the webauthn provider chooses.
                </NestedParam>

                <NestedParam parentKey="parameters.users.authenticators.attestation" childKey="transports" type="enum<string[]>" required={true} default="">
                  Enum options: `AUTHENTICATOR_TRANSPORT_BLE`, `AUTHENTICATOR_TRANSPORT_INTERNAL`, `AUTHENTICATOR_TRANSPORT_NFC`, `AUTHENTICATOR_TRANSPORT_USB`, `AUTHENTICATOR_TRANSPORT_HYBRID`
                </NestedParam>
              </Expandable>
            </ParamField>
          </Expandable>
        </ParamField>

        <ParamField body="oauthProviders" type="array" required={true} path="parameters.users.oauthProviders">
          <p>A list of Oauth providers. This field, if not needed, should be an empty array in your request body.</p>

          <Expandable title="item details">
            <NestedParam parentKey="parameters.users.oauthProviders" childKey="providerName" type="string" required={true} default="">
              Human-readable name to identify a Provider.
            </NestedParam>

            <NestedParam parentKey="parameters.users.oauthProviders" childKey="oidcToken" type="string" required={false} default="">
              Base64 encoded OIDC token
            </NestedParam>

            <ParamField body="oidcClaims" type="object" required={false} path="parameters.users.oauthProviders.oidcClaims">
              <p>oidcClaims field</p>

              <Expandable title="details">
                <NestedParam parentKey="parameters.users.oauthProviders.oidcClaims" childKey="iss" type="string" required={true} default="">
                  The issuer identifier from the OIDC token (iss claim)
                </NestedParam>

                <NestedParam parentKey="parameters.users.oauthProviders.oidcClaims" childKey="sub" type="string" required={true} default="">
                  The subject identifier from the OIDC token (sub claim)
                </NestedParam>

                <NestedParam parentKey="parameters.users.oauthProviders.oidcClaims" childKey="aud" type="string" required={true} default="">
                  The audience from the OIDC token (aud claim)
                </NestedParam>
              </Expandable>
            </ParamField>
          </Expandable>
        </ParamField>

        <ParamField body="userTags" type="array" required={true} path="parameters.users.userTags">
          <p>A list of User Tag IDs. This field, if not needed, should be an empty array in your request body.</p>

          <Expandable title="item details">
            <p>Array item type: <code>string</code></p>
            <p>item field</p>
          </Expandable>
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="generateAppProofs" type="boolean" required={false}>
  Enable to have your activity generate and return App Proofs, enabling verifiability.
</ParamField>

<H3Bordered text="Response" />

A successful response returns the following fields:

<ResponseField name="activity" type="object" required={true}>
  The activity object containing type, intent, and result

  <Expandable title="activity details">
    <NestedParam parentKey="activity" childKey="id" type="string" required={true}>
      Unique identifier for a given Activity object.
    </NestedParam>

    <NestedParam parentKey="activity" childKey="organizationId" type="string" required={true}>
      Unique identifier for a given Organization.
    </NestedParam>

    <NestedParam parentKey="activity" childKey="status" type="string" required={true}>
      The activity status
    </NestedParam>

    <NestedParam parentKey="activity" childKey="type" type="string" required={true}>
      The activity type
    </NestedParam>

    <NestedParam parentKey="activity" childKey="intent" type="object" required={true}>
      The intent of the activity

      <Expandable title="intent details">
        <NestedParam parentKey="activity.intent" childKey="createUsersIntentV4" type="object" required={true}>
          The createUsersIntentV4 object

          <Expandable title="createUsersIntentV4 details">
            <NestedParam parentKey="activity.intent.createUsersIntentV4" childKey="users" type="array" required={true}>
              A list of Users.

              <Expandable title="users details">
                <NestedParam parentKey="activity.intent.createUsersIntentV4.users" childKey="userName" type="string" required={true}>
                  Human-readable name for a User.
                </NestedParam>

                <NestedParam parentKey="activity.intent.createUsersIntentV4.users" childKey="userEmail" type="string" required={false}>
                  The user's email address.
                </NestedParam>

                <NestedParam parentKey="activity.intent.createUsersIntentV4.users" childKey="userPhoneNumber" type="string" required={false}>
                  The user's phone number in E.164 format e.g. +13214567890
                </NestedParam>

                <NestedParam parentKey="activity.intent.createUsersIntentV4.users" childKey="apiKeys" type="array" required={true}>
                  A list of API Key parameters. This field, if not needed, should be an empty array in your request body.

                  <Expandable title="apiKeys details">
                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.apiKeys" childKey="apiKeyName" type="string" required={true}>
                      Human-readable name for an API Key.
                    </NestedParam>

                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.apiKeys" childKey="publicKey" type="string" required={true}>
                      The public component of a cryptographic key pair used to sign messages and transactions.
                    </NestedParam>

                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.apiKeys" childKey="curveType" type="enum" required={true}>
                      curveType field

                      Enum options: `API_KEY_CURVE_P256`, `API_KEY_CURVE_SECP256K1`, `API_KEY_CURVE_ED25519`
                    </NestedParam>

                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.apiKeys" childKey="expirationSeconds" type="string" required={false}>
                      Optional window (in seconds) indicating how long the API Key should last.
                    </NestedParam>
                  </Expandable>
                </NestedParam>

                <NestedParam parentKey="activity.intent.createUsersIntentV4.users" childKey="authenticators" type="array" required={true}>
                  A list of Authenticator parameters. This field, if not needed, should be an empty array in your request body.

                  <Expandable title="authenticators details">
                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators" childKey="authenticatorName" type="string" required={true}>
                      Human-readable name for an Authenticator.
                    </NestedParam>

                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators" childKey="challenge" type="string" required={true}>
                      Challenge presented for authentication purposes.
                    </NestedParam>

                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators" childKey="attestation" type="object" required={true}>
                      attestation field

                      <Expandable title="attestation details">
                        <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators.attestation" childKey="credentialId" type="string" required={true}>
                          The cbor encoded then base64 url encoded id of the credential.
                        </NestedParam>

                        <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators.attestation" childKey="clientDataJson" type="string" required={true}>
                          A base64 url encoded payload containing metadata about the signing context and the challenge.
                        </NestedParam>

                        <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators.attestation" childKey="attestationObject" type="string" required={true}>
                          A base64 url encoded payload containing authenticator data and any attestation the webauthn provider chooses.
                        </NestedParam>

                        <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators.attestation" childKey="transports" type="array" required={true}>
                          The type of authenticator transports.

                          <Expandable title="transports details">
                            <NestedParam parentKey="activity.intent.createUsersIntentV4.users.authenticators.attestation.transports" childKey="item" type="enum" required={true}>
                              item field

                              Enum options: `AUTHENTICATOR_TRANSPORT_BLE`, `AUTHENTICATOR_TRANSPORT_INTERNAL`, `AUTHENTICATOR_TRANSPORT_NFC`, `AUTHENTICATOR_TRANSPORT_USB`, `AUTHENTICATOR_TRANSPORT_HYBRID`
                            </NestedParam>
                          </Expandable>
                        </NestedParam>
                      </Expandable>
                    </NestedParam>
                  </Expandable>
                </NestedParam>

                <NestedParam parentKey="activity.intent.createUsersIntentV4.users" childKey="oauthProviders" type="array" required={true}>
                  A list of Oauth providers. This field, if not needed, should be an empty array in your request body.

                  <Expandable title="oauthProviders details">
                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.oauthProviders" childKey="providerName" type="string" required={true}>
                      Human-readable name to identify a Provider.
                    </NestedParam>

                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.oauthProviders" childKey="oidcToken" type="string" required={false}>
                      Base64 encoded OIDC token
                    </NestedParam>

                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.oauthProviders" childKey="oidcClaims" type="object" required={false}>
                      oidcClaims field

                      <Expandable title="oidcClaims details">
                        <NestedParam parentKey="activity.intent.createUsersIntentV4.users.oauthProviders.oidcClaims" childKey="iss" type="string" required={true}>
                          The issuer identifier from the OIDC token (iss claim)
                        </NestedParam>

                        <NestedParam parentKey="activity.intent.createUsersIntentV4.users.oauthProviders.oidcClaims" childKey="sub" type="string" required={true}>
                          The subject identifier from the OIDC token (sub claim)
                        </NestedParam>

                        <NestedParam parentKey="activity.intent.createUsersIntentV4.users.oauthProviders.oidcClaims" childKey="aud" type="string" required={true}>
                          The audience from the OIDC token (aud claim)
                        </NestedParam>
                      </Expandable>
                    </NestedParam>
                  </Expandable>
                </NestedParam>

                <NestedParam parentKey="activity.intent.createUsersIntentV4.users" childKey="userTags" type="array" required={true}>
                  A list of User Tag IDs. This field, if not needed, should be an empty array in your request body.

                  <Expandable title="userTags details">
                    <NestedParam parentKey="activity.intent.createUsersIntentV4.users.userTags" childKey="item" type="string" required={true}>
                      item field
                    </NestedParam>
                  </Expandable>
                </NestedParam>
              </Expandable>
            </NestedParam>
          </Expandable>
        </NestedParam>
      </Expandable>
    </NestedParam>

    <NestedParam parentKey="activity" childKey="result" type="object" required={true}>
      The result of the activity

      <Expandable title="result details">
        <NestedParam parentKey="activity.result" childKey="createUsersResult" type="object" required={true}>
          The createUsersResult object

          <Expandable title="createUsersResult details">
            <NestedParam parentKey="activity.result.createUsersResult" childKey="userIds" type="array" required={true}>
              A list of User IDs.

              <Expandable title="userIds details">
                <NestedParam parentKey="activity.result.createUsersResult.userIds" childKey="item" type="string" required={true}>
                  item field
                </NestedParam>
              </Expandable>
            </NestedParam>
          </Expandable>
        </NestedParam>
      </Expandable>
    </NestedParam>

    <NestedParam parentKey="activity" childKey="votes" type="array" required={true}>
      A list of objects representing a particular User's approval or rejection of a Consensus request, including all relevant metadata.
    </NestedParam>

    <NestedParam parentKey="activity" childKey="fingerprint" type="string" required={true}>
      An artifact verifying a User's action.
    </NestedParam>

    <NestedParam parentKey="activity" childKey="canApprove" type="boolean" required={true}>
      Whether the activity can be approved.
    </NestedParam>

    <NestedParam parentKey="activity" childKey="canReject" type="boolean" required={true}>
      Whether the activity can be rejected.
    </NestedParam>

    <NestedParam parentKey="activity" childKey="createdAt" type="string" required={true}>
      The creation timestamp.
    </NestedParam>

    <NestedParam parentKey="activity" childKey="updatedAt" type="string" required={true}>
      The last update timestamp.
    </NestedParam>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash title="cURL" theme={"system"}
  curl --request POST \
    --url https://api.turnkey.com/public/v1/submit/create_users \
    --header 'Accept: application/json' \
    --header 'Content-Type: application/json' \
    --header "X-Stamp: <string> (see Authorizations)" \
    --data '{
      "type": "ACTIVITY_TYPE_CREATE_USERS_V4",
      "timestampMs": "<string> (e.g. 1746736509954)",
      "organizationId": "<string> (Your Organization ID)",
      "parameters": {
          "users": [
              {
                  "userName": "<string>",
                  "userEmail": "<string>",
                  "userPhoneNumber": "<string>",
                  "apiKeys": [
                      {
                          "apiKeyName": "<string>",
                          "publicKey": "<string>",
                          "curveType": "<API_KEY_CURVE_P256>",
                          "expirationSeconds": "<string>"
                      }
                  ],
                  "authenticators": [
                      {
                          "authenticatorName": "<string>",
                          "challenge": "<string>",
                          "attestation": {
                              "credentialId": "<string>",
                              "clientDataJson": "<string>",
                              "attestationObject": "<string>",
                              "transports": [
                                  "<AUTHENTICATOR_TRANSPORT_BLE>"
                              ]
                          }
                      }
                  ],
                  "oauthProviders": [
                      {
                          "providerName": "<string>",
                          "oidcToken": "<string>",
                          "oidcClaims": {
                              "iss": "<string>",
                              "sub": "<string>",
                              "aud": "<string>"
                          }
                      }
                  ],
                  "userTags": [
                      "<string>"
                  ]
              }
          ]
      }
  }'
  ```

  ```javascript title="JavaScript" theme={"system"}
  import { Turnkey } from "@turnkey/sdk-server";

  const turnkeyClient = new Turnkey({
    apiBaseUrl: "https://api.turnkey.com",
    apiPublicKey: process.env.API_PUBLIC_KEY!,
    apiPrivateKey: process.env.API_PRIVATE_KEY!,
    defaultOrganizationId: process.env.ORGANIZATION_ID!,
  });

  const response = await turnkeyClient.apiClient().createUsers({
    users: [{ // A list of Users.,
      userName: "<string> (Human-readable name for a User.)",
      userEmail: "<string> (The user's email address.)",
      userPhoneNumber: "<string> (The user's phone number in E.164 format e.g. +13214567890)",
      apiKeys: [{ // A list of API Key parameters. This field, if not needed, should be an empty array in your request body.,
        apiKeyName: "<string> (Human-readable name for an API Key.)",
        publicKey: "<string> (The public component of a cryptographic key pair used to sign messages and transactions.)",
        curveType: "<API_KEY_CURVE_P256>" // curveType field,
        expirationSeconds: "<string> (Optional window (in seconds) indicating how long the API Key should last.)",
      }],
      authenticators: [{ // A list of Authenticator parameters. This field, if not needed, should be an empty array in your request body.,
        authenticatorName: "<string> (Human-readable name for an Authenticator.)",
        challenge: "<string> (Challenge presented for authentication purposes.)",
        attestation: { // attestation field,
          credentialId: "<string> (The cbor encoded then base64 url encoded id of the credential.)",
          clientDataJson: "<string> (A base64 url encoded payload containing metadata about the signing context and the challenge.)",
          attestationObject: "<string> (A base64 url encoded payload containing authenticator data and any attestation the webauthn provider chooses.)",
          transports: "<AUTHENTICATOR_TRANSPORT_BLE>" // The type of authenticator transports.,
        },
      }],
      oauthProviders: [{ // A list of Oauth providers. This field, if not needed, should be an empty array in your request body.,
        providerName: "<string> (Human-readable name to identify a Provider.)",
        oidcToken: "<string> (Base64 encoded OIDC token)",
        oidcClaims: { // oidcClaims field,
          iss: "<string> (The issuer identifier from the OIDC token (iss claim))",
          sub: "<string> (The subject identifier from the OIDC token (sub claim))",
          aud: "<string> (The audience from the OIDC token (aud claim))",
        },
      }],
      userTags: ["<string>"] // A list of User Tag IDs. This field, if not needed, should be an empty array in your request body.,
    }]
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={"system"}
  {
    "activity": {
      "id": "<activity-id>",
      "status": "ACTIVITY_STATUS_COMPLETED",
      "type": "ACTIVITY_TYPE_CREATE_USERS_V4",
      "organizationId": "<organization-id>",
      "timestampMs": "<timestamp> (e.g. 1746736509954)",
      "result": {
        "activity": {
          "id": "<string>",
          "organizationId": "<string>",
          "status": "<string>",
          "type": "<string>",
          "intent": {
            "createUsersIntentV4": {
              "users": [
                {
                  "userName": "<string>",
                  "userEmail": "<string>",
                  "userPhoneNumber": "<string>",
                  "apiKeys": [
                    {
                      "apiKeyName": "<string>",
                      "publicKey": "<string>",
                      "curveType": "<API_KEY_CURVE_P256>",
                      "expirationSeconds": "<string>"
                    }
                  ],
                  "authenticators": [
                    {
                      "authenticatorName": "<string>",
                      "challenge": "<string>",
                      "attestation": {
                        "credentialId": "<string>",
                        "clientDataJson": "<string>",
                        "attestationObject": "<string>",
                        "transports": [
                          "<AUTHENTICATOR_TRANSPORT_BLE>"
                        ]
                      }
                    }
                  ],
                  "oauthProviders": [
                    {
                      "providerName": "<string>",
                      "oidcToken": "<string>",
                      "oidcClaims": {
                        "iss": "<string>",
                        "sub": "<string>",
                        "aud": "<string>"
                      }
                    }
                  ],
                  "userTags": [
                    "<string>"
                  ]
                }
              ]
            }
          },
          "result": {
            "createUsersResult": {
              "userIds": [
                "<string>"
              ]
            }
          },
          "votes": "<array>",
          "fingerprint": "<string>",
          "canApprove": "<boolean>",
          "canReject": "<boolean>",
          "createdAt": "<string>",
          "updatedAt": "<string>"
        }
      }
    }
  }
  ```
</ResponseExample>
